Subject: Re: building jed
From: "Dr. Volker Zell" <[email-masked]>
To: "Gary Jones" <[email-masked]>
Cc: <[email-masked]>
Date: 24 Oct 2001 10:37:06 +0200

>>>>> "Gary" == Gary Jones <[email-masked]> writes:

    Gary> On 21 Oct 2001, you wrote:
    >> Am 2001-10-21 um 11:04 schrieben Sie:

    >> > Is there somewhere I could d/l your patch(es) from, please?
    >> 
    >> Jed-Patch is Attached and also the patch against slang 1.4.4 (only for
    >> static build).

    Gary> Thanks. After a bit of pain (I followed JED's instructions to build 
    Gary> the slang lib under cygwin and they're wrong - at least with your 
    Gary> patch, they are) I finally got everything built.

    Gary> It seems quite slow clearing the screen, one can practically see the 
    Gary> cursor moving. Other things: The outlines of the menus are wrong
    Gary> (strange chars rather than line characters); Some of the key mappings

Try running it under an rxvt/xterm (you need to have XFree installed for this).
There it works real fast.

    Gary> do not work (particulary Ctrl-X,Ctrl-C to exit!). This doesn't happen 
    Gary> in the normal W32 (MINGW32) build and I'm wondering if it is because 
    Gary> of some difference in the type of terminal it thinks it is running on?

Put

_Jed_Default_Emulation = "emacs";

in a file called /usr/local/etc/jed.conf,
or copy it from the jed lib directory and edit the above parameter,
or copy jed.rc from jed lib directory to $HOME/.jedrc and uncomment the
line

  () = evalfile("emacs");           % Emacs-like bindings

Ciao
  Volker

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/